MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.ILogger Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.ILogger:

## Public Member Functions
int | ReadLoggedRegisterAddress (int registerNumber)
| Returns address of register to log in the corresponding vector. More...
void | WriteLoggedRegisterAddress (int registerNumber, ushort registerAddress)
| Sets address of register to log in the corresponding vector. More...
void | StartLogger ()
| Starts logger. Will be stopped after the memory is filled. More...
void | StopLogger ()
| Stops logger. More...
bool | IsLoggerRunning ()
| Returns logger running status. More...
float | ReadLoggerSamplingRate ()
| Returns sampling rate in Hz which the logger logs values. More...
void | WriteLoggerSamplingRate (float samplingRate)
| Sets sampling rate in Hz which the logger logs values. More...
float | ReadLoggerMinimumSamplingFrequency ()
| Returns minimum sampling rate in Hz which the logger logs values. More...
float | ReadLoggerMaximumSamplingFrequency ()
| Returns maximum sampling rate in Hz which the logger logs values. More...
int[] | ReadLoggerRegisterLog (int registerNumber, int startIndex=0, int endIndex=5000)
| Returns logged values for corresponding registers. More...

## Member Function Documentation

## ◆ IsLoggerRunning()

bool MrE2ModuleSdk.Device.ILogger.IsLoggerRunning | ( |  | ) |

Returns logger running status.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadLoggedRegisterAddress()

int MrE2ModuleSdk.Device.ILogger.ReadLoggedRegisterAddress | ( | int | registerNumber | ) |

Returns address of register to log in the corresponding vector.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadLoggerMaximumSamplingFrequency()

float MrE2ModuleSdk.Device.ILogger.ReadLoggerMaximumSamplingFrequency | ( |  | ) |

Returns maximum sampling rate in Hz which the logger logs values.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadLoggerMinimumSamplingFrequency()

float MrE2ModuleSdk.Device.ILogger.ReadLoggerMinimumSamplingFrequency | ( |  | ) |

Returns minimum sampling rate in Hz which the logger logs values.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadLoggerRegisterLog()

int [] MrE2ModuleSdk.Device.ILogger.ReadLoggerRegisterLog | ( | int | registerNumber,
|  | int | startIndex = `0`,
|  | int | endIndex = `5000`
| ) |  |

Returns logged values for corresponding registers.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadLoggerSamplingRate()

float MrE2ModuleSdk.Device.ILogger.ReadLoggerSamplingRate | ( |  | ) |

Returns sampling rate in Hz which the logger logs values.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ StartLogger()

void MrE2ModuleSdk.Device.ILogger.StartLogger | ( |  | ) |

Starts logger. Will be stopped after the memory is filled.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ StopLogger()

void MrE2ModuleSdk.Device.ILogger.StopLogger | ( |  | ) |

Stops logger.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteLoggedRegisterAddress()

void MrE2ModuleSdk.Device.ILogger.WriteLoggedRegisterAddress | ( | int | registerNumber,
|  | ushort | registerAddress
| ) |  |

Sets address of register to log in the corresponding vector.

Parameters

  registerNumber | Number of register 0,1,2,3,4,5>
  registerAddress | Register address

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteLoggerSamplingRate()

void MrE2ModuleSdk.Device.ILogger.WriteLoggerSamplingRate | ( | float | samplingRate | ) |

Sets sampling rate in Hz which the logger logs values.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs